package com.tenlionsoft.aimz_k.dao

import android.app.Application
import androidx.room.Room
import com.tenlionsoft.baselib.base.App


/**
 * Db 管理类
 */
object DbManager {
    private lateinit var context: Application

    val db by lazy {
        Room.databaseBuilder(
            App.context,
            AppDatabase::class.java, "aimz_database.db"
        )
            .build()
    }


    fun saveApp(ctx: Application) {
        context = ctx
    }
}